# Overview

Azul Zulu is an open source implementation of the Java Standard Edition ("SE")
specification. It is a binary build of the OpenJDK open source project.
Zulu provides a Java Runtime Environment needed for Java applications to run.

Azul Zulu 8 implements the Java SE 8 specification from Oracle.

# Usage

## General

Zulu is a subordinate charm that can be related to services needing java in
your environment. Deployment is simple:

    juju deploy zulu8

At this point, Zulu is waiting for a relationship to some other service. This
can be [any service](https://jujucharms.com/provides/java) that offers the
`java` interface. Building off the previous step, here is a simple deployment
scenario that would result in the Zulu JDK being installed on the
`ubuntu-devenv` unit:

    juju deploy ubuntu-devenv
    juju add-relation ubuntu-devenv zulu8

The Zulu charm adds a public key for the Azul apt-get repository to your system,
then installs Zulu-8 from it. The Zulu charm also sets Zulu-8 as default java
using `update-alternatives`.

Once deployed, you can use Zulu to run any Java workloads.


# Contact Information

- [Azul Zulu](http://zulu.org/) home page
- [Alternative link](http://www.azul.com/zulu)
- [Azul Zulu community Q&A forum](http://zulu.org/forum)
- [Contact Azul Systems support](http://www.azul.com/support)

This charm was written and is maintained by staff at Azul Systems.  If you
encounter a bug with the Zulu charm please post a
[question](http://zulu.org/forum/thread/zulu-in-the-cloud-juju).
